" if exists('g:loaded_crown')
"   finish
" endif

" ! : Redefini la fonction quand le fichier est relu
function! ReloadPlugin()
  " Les paquets sont en caches, le passer à nil, permet qu'il soit rechargé de
  " zéro au prochain appel

  " Attention à ne pas mettre d'espace devant lua et EOF
lua << EOF
  for k in pairs(package.loaded) do
    if k:match("^greetings")
      then package.loaded[k] = nil
    end
  end
  require("greetings")
EOF
endfunction

command! Greet lua require'greetings'.greet()

augroup ReloadingGroup
  autocmd!
  au BufWritePost * :call ReloadPlugin()
augroup END 

" command! ColorizerDetachFromBuffer lua require'colorizer'.detach_from_buffer(0)
" command! ColorizerReloadAllBuffers lua require'colorizer'.reload_all_buffers()
" command! ColorizerToggle lua local c = require'colorizer'
"             \ if c.is_buffer_attached(0) then c.detach_from_buffer(0) else
"             \ c.attach_to_buffer(0) end

" let g:loaded_crown = 1
